Retrieve an asset.
Assets
Retrieve an asset.
Retrieve an asset by ID.
GET
Retrieve an asset.
Authorizations
The Tyk Dashboard API Access Credentials
Path Parameters
ID of the asset to retrieve - this value can be the database ID of the asset or the custom ID provided during creation/update.
Response
Asset fetched.
database id of asset
Example:
"659b9613a1ed7ef7afdccb9d"
Example:
{
"info": {
"title": "Our Sample OAS",
"version": "1.0.0"
},
"openapi": "3.0.3",
"paths": {
"/anything": {
"post": {
"operationId": "anythingpost",
"responses": { "200": { "description": "Post created" } }
}
}
},
"x-tyk-api-gateway": {
"middleware": {
"global": {
"cache": {
"cacheAllSafeRequests": true,
"enabled": true,
"timeout": 5
}
},
"operations": {
"anythingpost": {
"requestSizeLimit": { "enabled": true, "value": 100 }
}
}
}
}
}custom id of asset that can be provided while creation/updating.
Example:
"my-unique-template-id"
the asset type, which is set to oas-template
Available options:
oas-template Example:
"oas-template"
last updated time stamp
Example:
"2024-01-10T08:48:36.183Z"
human-readable name for the template